﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function NudgeX() // This function adjusts the X levels of the points used for the fit. Cursor A is on the column of points to be moved left or right
		SetDataFolder root:
			Variable/G G_Shift
			Variable Shift = G_Shift
			Prompt Shift, "Amount (pixels) to shift the column. + is to the right."
			DoPrompt "NudgeX", Shift
			G_Shift = Shift
			AbortOnValue V_Flag, 0
			Wave WaveX, WaveY
			Duplicate/O WaveX, Mask
			Mask = Mask[p] == HCsr( A ) ? Shift : 0
			WaveX += Mask
			KillWaves/Z Mask
			DoWindow/F ImageGraph
	End
	
	Function NudgeY() // See above
		SetDataFolder root:
			Variable/G G_Shift
			Variable Shift = G_Shift
			Prompt Shift, "Amount (pixels) to shift the row. + is down."
			DoPrompt "NudgeY", Shift
			G_Shift = Shift
			AbortOnValue V_Flag, 0
			Wave WaveX, WaveY
			Duplicate/O WaveY, Mask
			Mask = Mask[p] == VCsr( A ) ? Shift : 0
			WaveY += Mask
			KillWaves/Z Mask
			DoWindow/F ImageGraph
	End
	
	Function DeleteCsrAPoint()
		SetDataFolder root:
			WAVE WaveX, WaveY
			DeletePoints PCsr( A ), 1, WaveX, WaveY
	End		

	Function X_A2B() // This function adjusts the X levels of the points used for the fit. Cursor A is on the column of points to be moved left or right to the position of Cursor B
		SetDataFolder root:
			Variable Shift = HCsr( B ) - HCSR ( A )
			Wave WaveX, WaveY
			Duplicate/O WaveX, Mask
			Mask = Mask[p] == HCsr( A ) ? Shift : 0
			WaveX += Mask
			KillWaves/Z Mask
			DoWindow/F Box_Image_Plot
	End
	
	Function Y_A2B() // See above
		SetDataFolder root:
			Variable Shift = VCsr( B ) - VCSR ( A )
			Wave WaveX, WaveY
			Duplicate/O WaveY, Mask
			Mask = Mask[p] == VCsr( A ) ? Shift : 0
			WaveY += Mask
			KillWaves/Z Mask
			DoWindow/F Box_Image_Plot
	End
	
	
