#pragma TextEncoding = "MacRoman"		// For details execute DisplayHelpTopic "The TextEncoding Pragma"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function Median_DeSpike()
		SetDataFolder root:
			Variable/G G_Total_Points, G_SDevMult
			String/G G_DataWv, G_Fldr, G_Data
			String DataWv = G_DataWv, DataFldr = G_Fldr, FldrList
			Variable SDevMult = G_SDevMult, Points = G_Total_Points
			FldrList = FolderList( "*" )
			Prompt DataFldr, "Select The Data Folder", popup, "root:;" + FldrList
			DoPrompt "Median_DeSpike", DataFldr; AbortOnValue V_Flag, 0
		SetDataFolder $DataFldr
			Prompt DataWv, "Select The Data To Be Filtered", popup, SortList( WaveList( "*", ";", "Text:0" ) )
			Prompt SDevMult "Multiple of Std Dev To Be Used To Identify Spikes"
			Prompt Points, "Width In Points Of The Filter Interval"
			DoPrompt "Median_DeSpike", DataWv, SDevMult, Points; AbortOnValue V_Flag, 0
		SetDataFolder root:
			Median_DeSpike_F( DataFldr, DataWv, SDevMult, Points )
			G_DataWv = DataWv; G_Fldr = DataFldr; G_Total_Points = Points; G_SDevMult = SDevMult
			Print "Median_DeSpike_F(\"" + DataFldr + "\",\"" + DataWv + "\",", SDevMult,",", Points, " )"
	End
	
	Function Median_DeSpike_F( DataFldr, DataWv, SDevMult, Points )
			String DataWv, DataFldr
			Variable SDevMult, Points
		SetDataFolder root:
			String/G G_Data = DataWaveData( DataWv ), G_DataWv = DataWv, G_Hole = DataWaveHole( DataWv )
		SetDataFolder root:$DataFldr
			WaveStats/Q $DataWv
			Duplicate/O $DataWv, $DataWv + "_DeSpk"; DelayUpdate
			Smooth/M = ( SDevMult * V_SDev ) Points, $DataWv + "_DeSpk";DelayUpdate
			NOTE $DataWv + "_DeSpk" "Median_DeSpike_F(\"" + DataFldr + "\",\"" + DataWv + "\"," + Num2Str( SDevMult ) + ","+ Num2Str( Points )+ " )"
		SetDataFolder root:
	End
	
