#pragma rtGlobals=3		// Use modern global access method and strict wave access.

//	Use this macro to calibrate an image or map (with decimal degrees) that is loaded 
//	into an IGOR experiment as an image.

	Menu "CODD_Functions"
		"RegisterImage"
	End
	
	Function Register_Image()
		SetDataFolder root:
		Make/O/N = 3 XVal, YVal, XPixel, YPixel
		Variable i, XPoint, YPoint
		Set_Cursors_Red()
		For( i = 0; i < 3; i += 1 )
			PauseForCursor()	
			XPixel[ i ] = PCsr( A )
			YPixel[ i ] = VCsr( A )
			Prompt XPoint, "Enter the X value of Cursor A:"
			Prompt YPoint, "Enter the Y value of Cursor A:"
			DoPrompt "RegisterImage", XPoint, YPoint
			AbortOnValue V_Flag, 0
			XVal[ i ] = XPoint
			YVal[ i ] = YPoint
		EndFor	
		CurveFit/Q line  XVal /X=XPixel /D 		// A linear fit is done between the X data values and pixel values
		WAVE W_Coef
		SetScale/P x W_Coef[0],W_Coef[1],"", $CsrWave( A );DelayUpdate	// The X scaling of the image is rescaled using the
		CurveFit/Q line  YVal /X=YPixel /D 					// The same is done for the Y axis of the image
		SetScale/P y W_Coef[0],W_Coef[1],"", $CsrWave( A );DelayUpdate
		KillWaves/Z YPixel,XPixel,YVal,XVal,W_coef,fit_XVal,W_sigma,fit_YVal
	End		
	
