﻿#pragma TextEncoding = "UTF-8"		// For details execute DisplayHelpTopic "The TextEncoding Pragma"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	
	Function Site2Site2Site_DepthCalc( )
		SetDataFolder root:
			String/G G_InputDepth, G_InputDepthFldr
			String InputDepth = G_InputDepth, InputDepthFldr = G_InputDepthFldr
			String/G G_InputSite, G_CentralSite, G_OutputSite
			String InputSite = G_InputSite, CentralSite = G_CentralSite, OutputSite = G_OutputSite
			Prompt InputSite, "Input Depths Site"
			Prompt CentralSite, "Common Correlation Site"
			Prompt OutputSite, "Output Depths Site"
			DoPrompt "ThirdPartyCorrelation", InputSite, CentralSite, OutputSite; AbortOnValue V_Flag, 0
			G_InputSite = InputSite, G_CentralSite = CentralSite, G_OutputSite = OutputSite
			DFREF InResults = $CentralSite + "_" + InputSite + "_Results"
			DFREF OutResults = $CentralSite + "_" + OutputSite + "_Results"
		SetDataFolder InResults
			WAVE Central2Input =  $CentralSite + "_2_" + InputSite + "_Ties"
			WAVE Input2Central =  $InputSite + "_2_" + CentralSite + "_Ties"
		SetDataFolder OutResults
			WAVE Central2Output =  $CentralSite + "_2_" + OutputSite + "_Ties"
			WAVE Output2Central =  $OutputSite + "_2_" + CentralSite + "_Ties"
		SetDataFolder root:
			Prompt InputDepthFldr, "Input Depths Folder", popup, "root:;" + FolderList( "*" )
			DoPrompt "ThirdPartyCorrelation", InputDepthFldr; AbortOnValue V_Flag, 0
			DFREF InputFldr = $InputDepthFldr
			G_InputDepthFldr = InputDepthFldr
		SetDataFolder InputFldr
			Prompt InputDepth, "Input Depth Wave", popup, WaveList( "*", ";", "DIMS:1" )
			DoPrompt "ThirdPartyCorrelation", InputDepth; AbortOnValue V_Flag, 0
			G_InputDepth = InputDepth
			WAVE InputZ = $InputDepth
			Duplicate/O InputZ $InputDepth + "_" + CentralSite, $InputDepth + "_" + OutputSite
			WAVE CentralZ = $InputDepth + "_" + CentralSite, OutputZ = $InputDepth + "_" + OutputSite
			CentralZ = Interp( InputZ, Input2Central, Central2Input )
			OutputZ = Interp( CentralZ, Central2Output, Output2Central )
		SetDataFolder root:	
	End