#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	
	Function Batch_Lighting_Correction()
		String/G G_S2_YesNo
		Variable/G G_Resolution
		String FldrList, Fldr, Core, Type, Hole, S2_YesNo = G_S2_YesNo
		Variable i = 0, SLen, Resolution = G_Resolution
		
		if(Resolution==0)
			
			Prompt Resolution, "If you did not previously run 'Assemble_Core_Image()' before, please fill in the desired resolution (m):"
			Prompt S2_YesNo, "Do you want to add \"S2_\" to core image name?", popup, "Y;N";
			DoPrompt "Resolution and S2 name", Resolution, S2_YesNo; AbortOnValue V_Flag, 0
			
			G_Resolution = Resolution; G_S2_YesNo = S2_YesNo
								
		Endif
		
		Silent 1
		PauseUpdate;
		SetDataFolder root:
		FldrList = FolderList( "K_" )	
		Do
			Fldr = StringFromList( i, FldrList )
			If( StrLen( Fldr ) < 2 )
				Break;
			EndIf	
			Hole = DataWaveTechnique( Fldr )
			Core = DataWaveData( Fldr )
			SLen = StrLen( Core )
			Type = Core[ SLen - 1 ]
//			Core = RemoveEnding( Core )
			If( Str2Num( Core ) < 10 )
				Core = Core[ 1 ]
			EndIf
//			print fldr,hole,core
//			Assemble_Core_Image_F( Hole, Core, Type, "y", "y" )

//			Print "Assemble_Core_Image_F( \"" + Hole + "\", \"" + Core + "\", " + Num2Str( Resolution ) + "\", \"" + S2_YesNo + ", \"Y\" ,  \"Y\")"

			Assemble_Core_Image_F( Hole, Core, Resolution, S2_YesNo, "y", "y" )
			i+=1
			DoUpdate;
		While(1)
	EndMacro
	
	**************************************************
	
//	Function Batch_Lighting_Correction()
		String FldrList, Fldr, Core, Type, Hole
		Variable i = 0, SLen
		Silent 1
		PauseUpdate;
		SetDataFolder root:
		FldrList = FolderList( "K_" )	
		Do
			Fldr = StringFromList( i, FldrList )
			If( StrLen( Fldr ) < 2 )
				Break;
			EndIf	
			Hole = DataWaveTechnique( Fldr )
			Core = DataWaveData( Fldr )
			SLen = StrLen( Core )
			Type = Core[ SLen - 1 ]
//			Core = RemoveEnding( Core )
			If( Str2Num( Core ) < 10 )
				Core = Core[ 1 ]
			EndIf
//			print fldr,hole,core
//		Assemble_Core_Image_F( Hole,  Core, Type, "y", "y" )
			Assemble_Core_Image_F( Hole,  Core, "y", "y" )
			i+=1
			DoUpdate;
		While(1)
	EndMacro
	
	**************************************************

			
			
backup: 

	//Function Batch_Lighting_Correction()
		String FldrList, Fldr, Core, Type, Hole, S2_YesNo
		Variable i = 0, SLen, Resolution
		Silent 1
		PauseUpdate;
		SetDataFolder root:
		FldrList = FolderList( "K_" )	
		Do
			Fldr = StringFromList( i, FldrList )
			If( StrLen( Fldr ) < 2 )
				Break;
			EndIf	
			Hole = DataWaveTechnique( Fldr )
			Core = DataWaveData( Fldr )
			SLen = StrLen( Core )
			Type = Core[ SLen - 1 ]
//			Core = RemoveEnding( Core )
			If( Str2Num( Core ) < 10 )
				Core = Core[ 1 ]
			EndIf
//			print fldr,hole,core
//		Assemble_Core_Image_F( Hole, Core, Type, "y", "y" )

			Print "Assemble_Core_Image_F( \"" + Hole + "\", \"" + Core + "\", " + Num2Str( Resolution ) + "\", \"" + S2_YesNo + ", \"y\" ,  \"y\")"

			Assemble_Core_Image_F( Hole, Core, Resolution, S2_YesNo, "y", "y" )
			i+=1
			DoUpdate;
		While(1)
	EndMacro
	
	**************************************************