#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function Splice_Interval_Bottom( Site, i )
		String Site
		Variable i
		Variable V1
		DFREF saveDFR = GetDataFolderDFR()
		SetDataFolder $"root:" + Site + "_Splice_Intervals"
		WAVE CCSF_Bottom
		V1 = CCSF_Bottom[ i ]
		SetDataFolder saveDFR
		Return V1
	End

	Function Splice_Interval_Top( Site, i )
		String Site
		Variable i
		Variable V1
		DFREF saveDFR = GetDataFolderDFR()
		SetDataFolder $"root:" + Site + "_Splice_Intervals"
		WAVE CCSF_Top
		V1 = CCSF_Top[ i ]
		SetDataFolder saveDFR
		Return V1
	End
	
	Function Splice_Interval_Core( Site, i )
		String Site
		Variable i
		Variable V1
		DFREF saveDFR = GetDataFolderDFR()
		SetDataFolder $"root:" + Site + "_Splice_Intervals"
		WAVE Core_Top
		V1 = Core_Top[ i ]
		SetDataFolder saveDFR
		Return V1
	End
	
	Function/S Splice_Interval_Hole( Site, i )
		String Site
		Variable i
		String S1
		DFREF saveDFR = GetDataFolderDFR()
		SetDataFolder $"root:" + Site + "_Splice_Intervals"
		WAVE/T Hole_Top
		S1 = Hole_Top[ i ]
		SetDataFolder saveDFR
		Return S1
	End

	Function Splice_Tie_Top( Site, i )
		String Site
		Variable i
		Variable V1
		DFREF saveDFR = GetDataFolderDFR()
		SetDataFolder $"root:" + Site + "_Splice_Ties"
		WAVE  CCSF_Top
		If( i == 0 )
			V1 = 0
		Else
			V1 = CCSF_Top[ i -1 ]
		EndIf
		SetDataFolder saveDFR
		Return V1
	End

	Function Splice_Tie_Bottom( Site, i )
		String Site
		Variable i
		Variable V1
		DFREF saveDFR = GetDataFolderDFR()
		SetDataFolder $"root:" + Site + "_Splice_Ties"
		WAVE CCSF_Bottom
		V1 = CCSF_Bottom[ i ]
		SetDataFolder saveDFR
		Return V1
	End
	
	Function Splice_Tie_Core( Site, i )
		String Site
		Variable i
		Variable V1
		DFREF saveDFR = GetDataFolderDFR()
		SetDataFolder $"root:" + Site + "_Splice_Ties"
		WAVE Core_Bottom
		V1 = Core_Bottom[ i ]
		SetDataFolder saveDFR
		Return V1
	End
	
	Function/S Splice_Tie_Hole( Site, i )
		String Site
		Variable i
		String S1
		DFREF saveDFR = GetDataFolderDFR()
		SetDataFolder $"root:" + Site + "_Splice_Ties"
		WAVE/T Hole_Bottom
		S1 = Hole_Bottom[ i ]
		SetDataFolder saveDFR
		Return S1
	End

	Function/S Splice_Hole( Site, i )
		String Site
		Variable i
		String S1
		WAVE/T Hole_Bottom
		S1 = Hole_Bottom[ i ]
		Return S1
	End

	Function Splice_Core( Site, i )
		String Site
		Variable i
		Variable V1
		WAVE Core_Bottom
		V1 = Core_Bottom[ i ]
		Return V1
	End

