﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

		
	Function RecordTies()
		SetDataFolder root:
			WAVE TargetTies, CoreTies
			If( ! WaveExists( TargetTies ) )
				Make/O/N=0 TargetTies, CoreTies			
			EndIf
			Variable NumTies = NumPnts( TargetTies )
			Redimension/N = ( NumTies + 1 ) TargetTies, CoreTies
			TargetTies[ NumTies ] = HCsr(a)
			CoreTies[ NumTies ] = HCsr(b)
			Sort CoreTies,CoreTies,TargetTies
			Printf "%.6f\t%.6f\r", HCsr(a), HCsr(b)	
			Differentiate/METH = 1 TargetTies/D=TargetTies_DIF
			WAVE TargetTies_DIF
			If( WaveMin( TargetTies_DIF ) <= 0 && NumPnts( TargetTies ) > 2 )
				FindLevel/Q TargetTies_DIF, 0 
				KillWaves/Z TargetTies_DIF
				ABORT "There is an age reversal or duplcate tie point in the \"TargetTies and CoreTies\" waves at/near point " + Num2Str( Ceil( V_LevelX + 1 ) ) + ".\r\rYou need to remove one set of ties."
			EndIf
			KillWaves/Z TargetTies_DIF
			ProcessTies()
			CalculateCoreSedRates()
	End

	
	Function RemoveTies()
		SetDataFolder root:
			Variable/G G_Tie
			Variable Tie = G_Tie
			Prompt Tie, "Tie number to delete:"
			DoPrompt "RemoveTies", Tie
			G_Tie = Tie
			AbortOnValue V_Flag, 0
			WAVE CoreTies, TargetTies
		SetDataFolder root:Xtras
			WAVE CoreTieVals, TargetTieVals, TieNumber
		SetDataFolder root:
			DeletePoints Tie,1, CoreTies, TargetTies, CoreTieVals, TargetTieVals, TieNumber
			ProcessTies()
			CalculateCoreSedRates()
	End


		
//	Function RecordTies()
		SetDataFolder root:
			WAVE TargetTies, CoreTies
			If( ! WaveExists( TargetTies ) )
				Make/O/N=0 TargetTies, CoreTies			
			EndIf
			Variable NumTies = NumPnts( TargetTies )
			Redimension/N = ( NumTies + 1 ) TargetTies, CoreTies
			TargetTies[ NumTies ] = HCsr(a)
			CoreTies[ NumTies ] = HCsr(b)
			Sort CoreTies,CoreTies,TargetTies
			Printf "%.6f\t%.6f\r", HCsr(a), HCsr(b)	
			Differentiate/METH = 1 TargetTies/D=TargetTies_DIF
			WAVE TargetTies_DIF
			If( WaveMin( TargetTies_DIF ) <= 0 && NumPnts( TargetTies ) > 2 )
				FindLevel/Q TargetTies_DIF, 0 
				KillWaves/Z TargetTies_DIF
				ABORT "There is an age reversal or duplcate tie point in the \"TargetTies and CoreTies\" waves at/near point " + Num2Str( Ceil( V_LevelX + 1 ) ) + ".\r\rYou need to remove one set of ties."
			EndIf
			KillWaves/Z TargetTies_DIF
			ProcessTies()
//			CalculateCoreSedRates()
	End