#pragma rtGlobals=3		// Use modern global access method and strict wave access.

Menu "Functions"
	"PhiCaCO3"
	"PhiDiatom"
	"PhiRad"
	"PhiClay"
End


Function PhiCaCO3(z)
	Variable z
	Return (0.72 - (0.987e-3 * z) + (0.830e-6 * z^2))
End

Function PhiDiatom(z)
	Variable z
	Return (0.861 - (0.549e-3 * z) + (0.492e-6 * z^2))
End

Function PhiRad(z)
	Variable z
	Return (0.90 - (0.016e-3 * z) - (3.854e-6 * z^2))
End

Function PhiClay(z)
	Variable z
	Return (0.814 - (0.813e-3 * z) - (0.164e-6 * z^2)) 
End

